Subject: Hostas

From: [email-masked] (Thingol G)
Date: 30 Mar 1995 00:01:41 -0500

> Could anyone recommend a hosta variety with large, showy flowers? 
Thanks in 
> advance.

The hosta with the showiest flowers is Hosta plantaginea 'Aphrodite'. The
flowers are large, white, double (very unusual), and fragrant. The leaves
are large and shiny green. This variety is pretty widely available. Most
hosta specialists have it; even Park Seed lists it. Good luck and enjoy!

Tom Tadfor Little ([email-masked])